FreeBSD : consul -- vulnerability in embedded DNS library (ad2eeab6-ca68-4f06-9325-1937b237df60)

Medium Nessus Plugin ID 106857

Synopsis

The remote FreeBSD host is missing a security-related update.

Description

Consul developers report :

A flaw was found in the embedded DNS library used in consul which may allow a denial of service attack. Consul was updated to include the fixed version.

Solution

Update the affected package.

See Also

https://github.com/hashicorp/consul/issues/3859

http://www.nessus.org/u?71d18865

https://github.com/miekg/dns/pull/631

https://github.com/miekg/dns/issues/627

http://www.nessus.org/u?44f9abcc

Plugin Details

Severity: Medium

ID: 106857

File Name: freebsd_pkg_ad2eeab6ca684f0693251937b237df60.nasl

Version: Revision: 3.3

Type: local

Published: 2018/02/16

Modified: 2018/02/26

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

CVSSv3

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:consul, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2018/02/16

Vulnerability Publication Date: 2018/01/17

Reference Information

CVE: CVE-2017-15133